program Dividers;
  var N,i,Count:longint;
begin
  write('N=');readln(N);
  writeln('Делители:');
  for i:=1 to N do
    if N mod i=0 then begin
      write(i,' ');
      inc(Count);
    end;
  writeln;
  writeln('Количество делителей = ',Count);
  writeln('Нажмите клавишу Enter ...');
  readln;
end.
